
Installer - Bug #30214

No such file or directory - foreman-maintain on Debian

06/25/2020 09:55 AM - Evgeni Golov

Status: Resolved   

Priority: Normal   

Assignee:    

Category: foreman-installer script   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 2.1.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/529

  

Description

The fixes for #30193 made the installer execute foreman-maintain code on Debian, but that's not available (or needed) there.

    /usr/lib/ruby/2.5.0/open3.rb:199:in `spawn': No such file or directory - foreman-maintain (Err

no::ENOENT)

            from /usr/lib/ruby/2.5.0/open3.rb:199:in `popen_run'

            from /usr/lib/ruby/2.5.0/open3.rb:190:in `popen2e'

            from /usr/lib/ruby/2.5.0/open3.rb:349:in `capture2e'

            from /usr/share/foreman-installer/hooks/boot/01-kafo-hook-extensions.rb:110:in `execut

e_command'

            from /usr/share/foreman-installer/hooks/boot/03-foreman-maintain-extensions.rb:31:in `

foreman_maintain'

            from /usr/share/foreman-installer/hooks/boot/03-foreman-maintain-extensions.rb:7:in `p

ackages_locked?'

            from /usr/share/foreman-installer/hooks/pre_validations/09-version_locking.rb:15:in `b

lock (4 levels) in load'

            from /usr/lib/ruby/vendor_ruby/kafo/hooking.rb:34:in `instance_eval'

            from /usr/lib/ruby/vendor_ruby/kafo/hooking.rb:34:in `block (4 levels) in load'

            from /usr/lib/ruby/vendor_ruby/kafo/hook_context.rb:16:in `instance_exec'

            from /usr/lib/ruby/vendor_ruby/kafo/hook_context.rb:16:in `execute'

            from /usr/lib/ruby/vendor_ruby/kafo/hooking.rb:51:in `block in execute'

            from /usr/lib/ruby/vendor_ruby/kafo/hooking.rb:49:in `each'

            from /usr/lib/ruby/vendor_ruby/kafo/hooking.rb:49:in `execute'

            from /usr/lib/ruby/vendor_ruby/kafo/kafo_configure.rb:139:in `execute'

            from /usr/lib/ruby/vendor_ruby/clamp/command.rb:63:in `run'

            from /usr/lib/ruby/vendor_ruby/kafo/kafo_configure.rb:118:in `run'

            from /usr/lib/ruby/vendor_ruby/clamp/command.rb:132:in `run'

            from /usr/lib/ruby/vendor_ruby/kafo/kafo_configure.rb:162:in `run'

            from /usr/sbin/foreman-installer:8:in `<main>'

Related issues:

Related to Installer - Bug #29097: Installer prints out puppet-agent-oauth on... Closed

History

#1 - 06/25/2020 09:59 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/529 added

#2 - 06/29/2020 02:13 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

- Assignee deleted (Evgeni Golov)

- Target version deleted (2.1.0)

- Triaged changed from No to Yes
https://projects.theforeman.org/issues/30193


This was fixed in f35ae08d428e05fb963996f93e1b825e950dd7fb

#3 - 06/29/2020 02:14 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #29097: Installer prints out puppet-agent-oauth on most runs added

#4 - 06/29/2020 02:30 PM - Tomer Brisker

- Status changed from Closed to Resolved
